Skip to main content
GET
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
role-assignments
List Account Role Assignments
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments \
  --header 'Authorization: Bearer <token>'
[
  {
    "expanded_capability_keys": [
      "<string>"
    ],
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resource_type": "<string>",
    "role_key": "<string>",
    "subject_id": "<string>",
    "subject_type": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "revoked_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Path Parameters

account_id
string<uuid>
required

Query Parameters

subject_type
enum<string> | null

Authorization subject types.

Available options:
user,
group,
service_account
subject_id
string | null
role_key
enum<string> | null

Stable reusable role identifiers.

Available options:
viewer,
editor,
domain_manager,
manager,
dns_manager,
ip_manager,
billing_viewer,
billing_admin,
credential_manager
include_revoked
boolean
default:false

Response

expanded_capability_keys
string[]
required
id
string<uuid>
required
resource_id
string<uuid>
required
resource_type
string
required
role_key
string
required
subject_id
string
required
subject_type
string
required
created_at
string<date-time> | null
revoked_at
string<date-time> | null